#include <iostream>
//#include <iomanip>
//#include <cmath>
//#include <algorithm>
//#include <string>
//#include <vector>
//#include <ctime>
//#include <cstdlib>
//#include <mycpp.h>

using namespace std;

bool CvrstBroj(string s)
{
  int n=s.length();
  for(int i=0;i<n-1;i++)
  {
    for(int j=i+1;j<n;j++)
    {
      if(s[i]==s[j])
      {
        char c=s[i];
        for(int k=i;k<=j;k++)
        {
          if(s[k]!=c)
            return false;
        }
      }
    }
  }
  return true;
}

int BrTrue(bool a[],int n)
{
  int br=0;
  for(int i=0;i<n;i++)
    if(a[i])
      br++;
  return br;
}

int Promena(string s)
{
  int n=s.length();
  bool p[n]={false};
  for(int i=0;i<n-1;i++)
  {
    for(int j=i+1;j<n;j++)
    {
      if(s[i]==s[j])
      {
        char c=s[i];
        bool cvrst=true;
        for(int k=i;k<=j;k++)
        {
          if(s[k]!=c)
            p[k]=true;
        }
      }
    }
  }
  return BrTrue(p,n);
}

int main()
{
  string s;
  cin>>s;
  if(CvrstBroj(s))
    cout<<0;
  else
    cout<<Promena(s);
}